@import '~@bit/bit.base-ui.layout.breakpoints';
@import '~@bit/bit.base-ui.theme.colors';
@import '~@bit/bit.base-ui.constants.storage/_storage.module.scss';

.particlesBg {
	background-image: url($staticStorageUrl + '/enterprise-offering-v1/8-form-section/particles-form.svg');
	background-repeat: no-repeat;
	background-size: 692px 100%;
	background-position: center;

	padding: 50px 20px;
	box-sizing: content-box; //HACK - don't clip bg in low res

	//prevent particles from expanding the screen in low res
	overflow: hidden;
}

.particlesContainer {
	max-width: 490px;
	margin: auto;
	position: relative;
}

.redParticle {
	position: absolute;
	bottom: -18px;
	right: -18px;

	width: 36px;
	height: 36px;

	background: $pink50;
	opacity: 0.7;
	border-radius: 2px;

	display: none;
	@media screen and (min-width: $br-sm) {
		display: block;
	}
}

.formCard {
	display: flex;
	flex-direction: column;
	box-sizing: border-box;

	height: 553px;
	max-width: 490px;
	padding: 29px 18px;
	background: $w10;
	font-size: 14px;

	@media screen and (min-width: $br-sm) {
		padding: 40px 60px;
	}

	.separator {
		--separator-color: #ededed; //TODO
	}
}

.margin {
	margin-bottom: 18px;
}
